//==============================================
//  copyright            : (C) 2003 by Will Stokes
//==============================================
//  This program is free software; you can redistribute it 
//  and/or modify it under the terms of the GNU General 
//  Public License as published by the Free Software 
//  Foundation; either version 2 of the License, or  
//  (at your option) any later version.         
//
//  As a special exception, Will Stokes gives permission to 
//  link this program with Qt non-commercial edition, and 
//  distribute the resulting executable, without including the 
//  source code for the Qt non-commercial edition in the 
//  source distribution. 
//==============================================

//Systemwide includes
#include <qlayout.h>
#include <qlabel.h>
#include <qfont.h>
#include <qpixmap.h>
 
//Projectwide includes
#include "about.h"
#include "../config.h"

//==============================================
About::About( QWidget* parent,
              const char* name ) : 
              QWidget(parent,name)
{
  //--
  progDesc = new QLabel( "Album Shaper 1.0a2 - Will Stokes", this );
  QFont font( "Times", 18, QFont::Bold );
  progDesc->setFont( font );
//  progImage = new QPixmap((const char**) about_xpm);
  progImage = new QPixmap(QString(IMAGE_PATH)+"about.png");
  progIcon = new QLabel( this );
  progIcon->setPixmap( *progImage );

  //--
  grid = new QGridLayout( this, 2, 1, 0);
  grid->addWidget( progDesc, 0, 0, Qt::AlignCenter );
  grid->addWidget( progIcon, 1, 0, Qt::AlignCenter  );
  //--
}
//==============================================
void About::closeEvent( QCloseEvent* e)
{
  aboutClosed();
  QWidget::closeEvent( e );
}
//==============================================
