//==============================================
//  copyright            : (C) 2003 by Will Stokes
//==============================================
//  This program is free software; you can redistribute it 
//  and/or modify it under the terms of the GNU General 
//  Public License as published by the Free Software 
//  Foundation; either version 2 of the License, or  
//  (at your option) any later version.         
//
//  As a special exception, Will Stokes gives permission to 
//  link this program with Qt non-commercial edition, and 
//  distribute the resulting executable, without including the 
//  source code for the Qt non-commercial edition in the 
//  source distribution. 
//==============================================

#ifndef GUI_SAVEDIALOG_H
#define GUI_SAVEDIALOG_H

//--------------------
//forward declarations
class QPixmap;
class QGridLayout;
class QLabel;
class QListBox;
//--------------------

#include "qwidget.h"

//=====================================
/*! \brief Prints progress of save operation
 */
//=====================================

class SaveDialog : public QWidget
{
//------------------------------------------------------
public:
  ///Creates window and prints "Saveing..." message
  SaveDialog( QWidget *parent=0, const char* name=0 );

  ///Frees Widgets
  ~SaveDialog();

  ///Adds a message to end of list
  void printMessage( QString message );
  
  ///Prints out a "Subalbum # html" message
  void printSubalbumHTML( int val );
  
  ///Prints out a "Subalbum # Photo #" message
  void printSubalbumPhoto( int subalbum, int photo );
//------------------------------------------------------
private:
  ///Application icon
  QPixmap* applicationIcon;
  
  ///Layout widgets placed in
  QGridLayout* grid;
  
  ///"Saving..." label
  QLabel* saving;
  
  ///Listbox all entries are placed in
  QListBox* entries;

  ///Used to keep track what the last message was and if it can be altered
  bool lastMessageSubalbumHTML;
  bool lastMessageSubalbumPhoto;
  int lastSubalbum;
//------------------------------------------------------
};

#endif // GUI_SAVEDIALOG_H
